URLClassLoader
Date: 2016-06-24

java.net

## Class URLClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - java.security.SecureClassLoader
    - - java.net.URLClassLoader

-     public class URLClassLoader
      extends SecureClassLoader

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `URLClassLoader(URL[] var0)`
    `URLClassLoader(URL[] var0, ClassLoader var1)`
    `URLClassLoader(URL[] var0, ClassLoader var1, URLStreamHandlerFactory var2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addURL(URL var0)`
    `protected Package` | `definePackage(String var0, Manifest var1, URL var2)`
    `URL` | `findResource(String var0)`
    `Enumeration` | `findResources(String var0)`
    `URL[]` | `getURLs()`
    `static URLClassLoader` | `newInstance(URL[] var0)`
    `static URLClassLoader` | `newInstance(URL[] var0, ClassLoader var1)`

    - ### Methods inherited from class java.security.SecureClassLoader

      `defineClass, getPermissions`

    - ### Methods inherited from class java.lang.ClassLoader

      `clearAssertionStatus, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### URLClassLoader

          public URLClassLoader(URL[] var0)

    - #### URLClassLoader

          public URLClassLoader(URL[] var0,
                        ClassLoader var1)

    - #### URLClassLoader

          public URLClassLoader(URL[] var0,
                        ClassLoader var1,
                        URLStreamHandlerFactory var2)

  - ### Method Detail

    - #### addURL

          protected void addURL(URL var0)

    - #### definePackage

          protected Package definePackage(String var0,
                              Manifest var1,
                              URL var2)

    - #### findResource

          public URL findResource(String var0)

      Overrides:
        `findResource` in class `ClassLoader`

    - #### findResources

          public Enumeration findResources(String var0)
                                    throws IOException

      Overrides:
        `findResources` in class `ClassLoader`
      Throws:
        `IOException`

    - #### getURLs

          public URL[] getURLs()

    - #### newInstance

          public static URLClassLoader newInstance(URL[] var0)

    - #### newInstance

          public static URLClassLoader newInstance(URL[] var0,
                                   ClassLoader var1)